Bug 59335 - should run dhcpcd with -N switch
should run dhcpcd with -N switch
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-05 14:12 EST by Tim Waugh
Modified: 2014-03-16 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-06 08:06:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-02-05 14:12:26 EST
Description of Problem:
dhcpcd now overwrites /etc/ntp.conf, even if there are no NTP servers specified
by the DHCP server.  It would be nice to be able to tell /sbin/ifup some extra
options to give to dhcpcd when it starts it.

Version-Release number of selected component (if applicable):
initscripts-6.51-1

How Reproducible:
100%

Steps to Reproduce:
1. Start a network interface with DHCP.
2. See that /etc/ntp.conf has been replaced and /etc/ntp.conf.sv is present.
Comment 1 Olivier Baudron 2002-02-06 08:06:06 EST
This is a dhcpcd bug/feature introduced in 1.3.21 that Redhat should remove from
dhcpcd. I cannot see any good reason to replace /etc/ntp.conf if no ntp option
is given (which is the case for 99% of users).
Comment 2 Bill Nottingham 2002-02-06 09:24:45 EST
I believe Elliot did fix this in a new dhcpcd

Note You need to log in before you can comment on or make changes to this bug.